Subject: bug#59587: 28.2; gnus does not retrieve emails sent from another device

From: Waleed Yousef <[email-masked]>
Date: Sun, 11 Dec 2022 11:31:00 -0800

Yes, I am using. But why this is related to the problem of not fetching
the sent emails? This is my full gnus.el:

```
(setq mail-sources `(
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl
                          :leave non-nil)
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl
                          :leave non-nil)
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl
                          :leave non-nil)
		                 (imap :server "mail.uvic.ca"
		       	               :user "[email-masked]"
		       	               :port 993
		      	               :stream ssl
                           :mailbox ("inbox" "sent items")
                           :predicate "UPDRAFT"
                           :fetchflag "\\Draft"
			                     )
		                 )
      )

(setq
 gnus-select-method '(nntp "news.gnus.org");; for news groups (between quotes, add the newsgroup server)
 gnus-secondary-select-methods '((nnml ""))
 )

(setq
 user-mail-address "[email-masked]"
 user-full-name "Waleed Yousef"
 smtpmail-smtp-server	"smtp.gmail.com"
 smtpmail-smtp-service '587
 send-mail-function		'smtpmail-send-it
 message-send-mail-function	'smtpmail-send-it
 gnus-posting-styles '(
                       (".*" (Bcc "Waleed Yousef <[email-masked]>"))
			                 ((header "to" "[email-masked]")
                        (From "Waleed Yousef <[email-masked]>")
			                  ("X-Message-SMTP-Method" "smtp smtp.gmail.com 587 [email-masked]")
                        ("Bcc" "Waleed Yousef <[email-masked]>"))
			                 ((header "to" "[email-masked]")
                        (From "Waleed Yousef <[email-masked]>")
			                  ("X-Message-SMTP-Method" "smtp smtp.gmail.com 587 [email-masked]"))
			                 ((header "to" "[email-masked]")
                        (From "Waleed Yousef <[email-masked]>")
			                  ("X-Message-SMTP-Method" "smtp smtp.uvic.ca 587 [email-masked]")
                        ("Bcc" "Waleed Yousef <[email-masked]"))
			                 ((header "To" "[email-masked]")
                        (From "MESC Labs. <[email-masked]>")
			                  ("X-Message-SMTP-Method" "smtp mesclabs.com 465 [email-masked]"))
                       )
 )

(setq
 nnmail-message-id-cache-length 100000
 nnmail-treat-duplicates 'warn
 nnmail-cache-accepted-message-ids t
 nnmail-split-fancy '(|
                      (: nnmail-split-fancy-with-parent)
                      (from "\\(.*@github\\.com\\)" "ADS")
                      "mail.misc"
                      )
 gnus-message-archive-group '(
                              (if (not (string-empty-p gnus-newsgroup-name))
                                  (list gnus-newsgroup-name "nnml:MySent")
                                (list "nnml:MySent")
                                ))
 gnus-gcc-mark-as-read t
 )

(setq
 gnus-search-default-engines '((nnml . gnus-search-namazu))
 gnus-search-namazu-index-directory "/home/wyousef/.namazu-mail"
 gnus-search-use-parsed-queries t
 gnus-search-namazu-remove-prefix "/home/wyousef/Mail/"
 )
```

Eric Abrahamsen <[email-masked]> writes:

> On 12/09/22 11:12 AM, Waleed Yousef wrote:
>> Ok; thanks so much. I think it works now for the imap except that when I
>> send from Gnus I cannot find the sent mail on the webmail Sent box!!! So
>> the snycing is one-way only.
>
> Are you using Gcc headers? My posting styles look like, eg:
>
> 	("gmane"
> 	 (address "[email-masked]")
> 	 (gcc "nnimap+Personal:Sent")
> 	 )